package emps.v4_rekordy;

import p13_lambdy.FunkcjaLiczbowa;

// klasa narzędziowa, w której zaimlementujemy ogólny schemat / algorytm działania,
// z którego będzie się korzystać za pomocą wyrażeń lambda
// (Udajemy, że twozymy bibliotekę podobną do Stream / operacji na listach

public class MojFrameworkFunkcyjny {
    /** Do każdego elementu tablicy t aplikuje funkcję f i podmienia element tablicy na wynik tej funkcji.
     * Analogia do operacji map na strumieniach lub replaceAll dla list.
     */
    public static void zastosuj(FunkcjaLiczbowa f, double[] t) {
        for(int i = 0; i < t.length; i++) {
            t[i] = f.oblicz(t[i]);
        }
    }

}
